<template>
  <div class="container">
    <h1 class='ko-b'>Items</h1>
    <ul>
      <li v-for="index in 100" :key="index">
        <router-link :to="{ name: 'items/:id', params: {id: index}}">Item {{ index }}</router-link>
      </li>
    </ul>
    <div><sub-component></sub-component></div>
  </div>
</template>

<style scoped>
  .example {
    color: v-bind('color');
  }
</style>

<script setup>
import subComponent from '/routes/spa/components/subComponent.vue'

const { state } = useStore ()
const msg = ref ('world!')
const color = ref ('blue!')
const name = computed (() => { return 'Hans'} )
const last_name = () => {
  return "Roh"
}
</script>
